Name:           deepin-qt6integration
Version:        6.0.27
Release:        %autorelease
Summary:        Qt 6 platform theme integration plugins for DDE
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/qt6integration
Source0:        %{url}/archive/%{version}/qt6integration-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

BuildRequires:  cmake(DtkBuildHelper)
BuildRequires:  cmake(Dtk6Widget)

BuildRequires:  pkgconfig(mtdev)
BuildRequires:  pkgconfig(x11)

%description
qt6integration is the Qt platform theme integration plugins for Deepin Desktop
Environment. It includes multiple Qt5 plugins to make make DDE more Qt6 Apps
friendly.

%prep
%autosetup -p1 -n qt6integration-%{version}

%build
%cmake -GNinja -DDTK_VERSION=%{version}
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/qt6/plugins/iconengines/libdicon.so
%{_libdir}/qt6/plugins/iconengines/libdsvgicon.so
%{_libdir}/qt6/plugins/imageformats/libdci.so
%{_libdir}/qt6/plugins/imageformats/libdsvg.so
%{_libdir}/qt6/plugins/platformthemes/libqdeepin.so
%{_libdir}/qt6/plugins/styles/libchameleon.so

%changelog
%autochangelog
